/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
var app = {
    // Application Constructor
    initialize: function() {
        this.bindEvents();
    },
    // Bind Event Listeners
    //
    // Bind any events that are required on startup. Common events are:
    // 'load', 'deviceready', 'offline', and 'online'.
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
		
    },
    // deviceready Event Handler
    //
    // The scope of 'this' is the event. In order to call the 'receivedEvent'
    // function, we must explicitly call 'app.receivedEvent(...);'
    onDeviceReady: function() {
        console.log("#######-->screenW = " + device.model + ",screenH = " + device.manufacturer);
        FusionCharts.ready(function () {
        	
            var iniWidth = device.model/1.9,iniHeight = device.manufacturer/2.8,
            /*
                    revenueChart = new FusionCharts({
                        type: "pie3d",
                        renderAt: "chartContainer",
                        width: iniWidth,
                        height: iniHeight,
                        dataFormat: "json",
                        dataSource: {
                            chart: {
                                showBorder:1,
                                borderColor:"11ee11",
                                captionPadding:"0",
                                chartLeftMargin:"0",
                                bgColor:"#DBDBDB",
                                showToolTip:0,
                                useDataPlotColorForLabels:0,
                                captionOnTop:1,
                                use3DLighting:1,
                                showPlotBorder:0,
                                showLegend:0,
                                showHoverEffect:1,
                                plotHoverEffect:1,
                                // 图表标题
                                caption: "中国人口分布",
                                // 图表子标题
                                subcaption: "截止到2015年12月1日",
                                startingangle: "90",
                                // 在说明上面显示label的值
                                showlabels: "1",
                                // 是否显示底部统计
                                showlegend: "1",
                                // 是否显示百分比的那根线
                                enableSmartLabels:"1",
                                // 0：表示只能是一个凸出来，1：表示可以多个凸出来
                                enablemultislicing: "0",
                                // 凸出来的距离
                                slicingdistance: "10",
                                // 0:在图表上显示value的值，1：在图表上显示百分比
                                showpercentvalues: "1",
                                // 不知道什么效果，没看见
                                showpercentintooltip: "1",
                                plottooltext: "$label 总人口 : $datavalue",
                                theme: "fint",
                                // 指定显示百分比线条的颜色值
                                smartLineColor:"#d11b2d",
                                // 指定显示百分比线条的粗细
                                smartLineThickness:"2",
                                // 指定显示百分比线条是否为折线：0折线1非折线
                                isSmartLineSlanted:"1",

                            },
                            data: [
                                {
                                    label: "北京",
                                    value: "22502400"
                                },
                                {
                                    label: "上海",
                                    value: "14603300"
                                },
                                {
                                    label: "深圳",
                                    value: "10500700"
                                },
                                {
                                    label: "广州",
                                    value: "11050700"
                                },
                                {
                                    label: "苏州",
                                    value: "24901000"
                                }
                            ]
                        }
                    });

            revenueChart.render();*/
        	
        	
            revenueChart = new FusionCharts({
                type: "doughnut2d",
                renderAt: "chartContainer",
                width: iniWidth,
                height: iniHeight,
                dataFormat: "json",
                dataSource: {
                    chart: {
                    	// 是否显示百分比的那根线
                    	bgColor:"#dddddd",
                    	legendIconScale:1.5,
                        showLegend:1,
                        "caption": "本店营销会员统计",
                        "captionFontSize":"25",
                        "numberPrefix": "$",
                        "showBorder": "0",
                        "use3DLighting": "0",
                        "enableSmartLabels": "1",
                        smartLineColor:"#c2c2c2c",
                        "startingAngle": "310",
                        "showLabels": "0",
                        "showPercentValues": "1",
                        "enablemultislicing": "0",
                        "showLegend": "1",
                        legendNumColumns:1,
                        drawCustomLegendIcon:1,
                        legendIconBorderThickness:0,
                        legendItemFontSize:"18",
                        labelFontSize:15,
                        "showTooltip": "0",
                        "decimals": "0",
                        "useDataPlotColorForLabels": "1",
                        "theme": "fint"
                    },
                    data: [
                        {
                            label: "本次营销信息到达率38%",
                            value: "22502400"
                        },
                        {
                            label: "本次营销消息优惠领用量25%",
                            value: "14603300"
                        },
                        {
                            label: "本次营销消息优惠使用量18%",
                            value: "10500700"
                        },
                        {
                            label: "本次营销消息优惠使用率19%",
                            value: "11050700"
                        }
                    ]
                },
                "events": {

                    /**
                     * @description
                     * Triggered every time a chart is rendered using the render() method, the chartType() method, or the setChartData() method.
                     *
                     * @param {Object} eventObj: An object containing all the details related to this event like eventId, sender, etc.
                     * @param {Object} dataObj: An object containing all the details related to the chart, such as the chart width and height, and so on.
                     */

                    "renderComplete": function (eventObj, dataObj) {
                        $.LoadingOverlay("hide");
                    }
                }
                
            });
            revenueChart.render();
        });
        
    }
};

app.initialize();